summaryrefslogtreecommitdiff
path: root/util/abuild
diff options
context:
space:
mode:
authorEric Biederman <ebiederm@xmission.com>2004-11-05 08:50:54 +0000
committerEric Biederman <ebiederm@xmission.com>2004-11-05 08:50:54 +0000
commitc1492104629fdd61419887636a3c1ed9a280ecce (patch)
treefe3fc99af6c04b94cbac7320cf9151518186661e /util/abuild
parent0e99655670a61aebb9d46dd46f8d99ff193051f4 (diff)
downloadcoreboot-c1492104629fdd61419887636a3c1ed9a280ecce.tar.xz
- In the makefile header get the name of the Makefile correct
git-svn-id: svn://svn.coreboot.org/coreboot/trunk@1752 2b7e53f0-3cfb-0310-b3e9-8179ed1497e1
Diffstat (limited to 'util/abuild')
-rw-r--r--util/abuild/abuild.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/util/abuild/abuild.sh b/util/abuild/abuild.sh
index 23d4dcbf45..9cf2f3d417 100644
--- a/util/abuild/abuild.sh
+++ b/util/abuild/abuild.sh
@@ -11,6 +11,7 @@
# archive for more details.
#
+#set -x # Turn echo on....
# Where shall we place all the build trees?
TARGET=$( pwd )/linuxbios-builds
@@ -33,7 +34,7 @@ function vendors
{
# make this a function so we can easily select
# without breaking readability
- ls -1 $LBROOT/src/mainboard | grep -v CVS
+ ls -1 "$LBROOT/src/mainboard" | grep -v CVS
}
function mainboards
@@ -253,32 +254,33 @@ target=""
buildall=false
# parse parameters
-args=`getopt -l version,verbose,help,all,target: Vvhat: $*`
+args=`getopt -l version,verbose,help,all,target: Vvhat: -- "$@"`
if [ $? != 0 ]; then
myhelp
exit 1
fi
-set -- $args
-for arg
-do
- case $arg in
- -t|--target) shift;target=$1;shift;;
- -a|--all) shift;buildall=true;;
- -v|--verbose) shift;verbose=true;;
- -V|--version) shift;myversion;;
- -h|--help) shift;myhelp;;
- esac
+eval set -- "$args"
+while true ; do
+ case $1 in
+ -t|--target) shift; target=$1; shift;;
+ -a|--all) shift; buildall=true;;
+ -v|--verbose) shift; verbose=true;;
+ -V|--version) shift; myversion;;
+ -h|--help) shift; myhelp;;
+ --) shift; break;;
+ *) echo "Unrecognized argument" ; exit 1 ;;
+ esac
done
-# -- is $1
-LBROOT=$2
+LBROOT=$1
# /path/to/freebios2/
if [ -z "$LBROOT" ] ; then
LBROOT=$( cd ../..; pwd )
fi
+echo "LBROOT=$LBROOT"
if [ "$target" != "" ]; then
# build a single board